Name:           libtecla
Version:        1.6.3
Release:        1%{?dist}
Summary:        Command-line editing library
License:        MIT
URL:            http://www.astro.caltech.edu/~mcs/tecla/index.html
Source0:        http://www.astro.caltech.edu/~mcs/tecla/%{name}-%{version}.tar.gz
# patch borrowed from the Debian package
Patch0:         libtecla-1.6.3-destdir.patch
Patch1:         libtecla-1.6.3-no-runpath.patch
Patch2:         libtecla-1.6.3-fix-permissions.patch
# patch borrowed from the Debian package
Patch3:         libtecla-1.6.3-fix-manpage.patch
BuildRequires:  ncurses-devel

%description
The tecla library provides UNIX and LINUX programs with interactive
command line editing facilities, similar to those of the UNIX tcsh
shell. In addition to simple command-line editing, it supports recall
of previously entered command lines, TAB completion of file names or
other tokens, and in-line wild-card expansion of filenames. The
internal functions which perform file-name completion and wild-card
expansion are also available externally for optional use by programs.

In addition, the library includes a path-searching module. This allows
an application to provide completion and lookup of files located in
UNIX style paths. Although not built into the line editor by default,
it can easily be called from custom tab-completion callback
functions. This was originally conceived for completing the names of
executables and providing a way to look up their locations in the
user's PATH environment variable, but it can easily be asked to look
up and complete other types of files in any list of directories.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        static
Summary:        Static library for %{name}
Requires:       %{name}-devel

%description    static
Library for static linking for %{name}.


%prep
%autosetup -n %{name} -p1


%build
%configure LD="ld --build-id"
# parallel build fails
make


%install
%make_install


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license LICENSE.TERMS
%doc README CHANGES RELEASE.NOTES
%{_libdir}/*.so.*
%{_bindir}/enhance
%{_mandir}/man1/enhance.1*
%{_mandir}/man5/teclarc.5*


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*.3*
%{_mandir}/man7/tecla.7*


%files static
%license LICENSE.TERMS
%doc README
%{_libdir}/*.a


%changelog
* Tue Jul 19 2016 Thomas Moschny <thomas.moschny@gmx.de> - 1.6.3-1
- Initial package.
